SmarterMail 10.x Help
This documentation is for a product that is no longer supported by SmarterTools.

SmarterMail System Requirements

SmarterMail was desgined to coexist with multiple applications on the same server based on the following minimum requirements:

  • Windows 7*, Windows 8*, Windows Server 2003 or higher, indluding Windows Server 2012***
  • SmarterMail Web server included with product
  • Microsoft .NET 4.0 Framework
  • A dedicated IP address to ensure proper functionality

However, SmarterTools recommends using the following for maximum efficiency:

  • Windows Server 2008 R2 or higher***
  • 64-bit version of Windows Server is strongly recommended
  • Microsoft IIS 7.5**
  • Microsoft .NET 4.0 Framework

NOTE: SmarteMail is NOT recommended for Amazon's EC2 environment or other cloud services that rotate IP address, minimize disk I/O, or have various other issues that adversely affect SmarterMail's performance.

Note: Each installation and environment is unique. Extra load caused by excessive messages or email accounts and/or other factors may require more disk space, memory, database allocation, etc. than suggested in the online help. SmarterTools recommends that system administrators slowly add domains to the server and watch how they impact the server. In addition, email patterns indicate that the number of email messages per account are increasing by approximately 60% every two years. It is important to keep this growth in mind when planning your rollout.

*Microsoft's non-server based operating systems limit the maximum number of inbound connections. For more information regarding this issue, refer to the Microsoft Software EULA.

**SmarterMail includes a basic Web server, so the product is fully function upon installation—even without the existence of IIS or other Web servers. However, SmarterTools recommends installing Microsoft IIS 7.0/7.5 in place of the SmarterMail Web server for increased performance and security. FNor more information, see Running SmarterMail as an IIS Site.

***Only the most current versions of SmarterMail (10.5 or higher) were tested on Windows Server 2012. Previous versions may install on Windows Server 2012 and run as well. However, some work arounds may be necessary to get them to run well. See the SmarterTools knowledge base for more information.